Subject: Re: valgrind output

From: Olivier Chapuis <[email-masked]>
Date: Thu, 1 May 2003 09:44:18 +0200

On Mon, Apr 28, 2003 at 01:24:38PM +0200, Dominik Vogt wrote:
> Does anyone understand what these problems come from (current
> cvs, compiled with -g -O2):
> 
> 
>   ==10227== Syscall param writev(vector[...]) contains uninitialised or
>   unaddressable byte(s)
>   ==10227==    at 0x40186927: vgAllRoadsLeadToRome_writev
>   (vg_intercept.c:110)
>   ==10227==    Address 0x4141A049 is 129 bytes inside a block of size 2048
>   alloc'd
>   ==10227==    at 0x40026B6E: calloc (vg_replace_malloc.c:273)
>   ==10227==    by 0x808012C: main (fvwm.c:1998)
>   ==10227==    by 0x4042F14E: __libc_start_main (in /lib/libc-2.2.5.so)
>   ==10227==    by 0x804E190: (within /home/luthien/bin/fvwm2)
> 
> (XOpenDisplay() call in main.c allocated the memory).
> 

It seems to me that this is an X error?

> --
> 
>   ==10227== Syscall param write(buf) contains uninitialised or
>   unaddressable byte(s)
>   ==10227==    at 0x404D9404: __libc_write (in /lib/libc-2.2.5.so)
>   ==10227==    by 0x80617ED: My_XNextEvent (events.c:3494)
>   ==10227==    by 0x8061505: HandleEvents (events.c:3297)
>   ==10227==    by 0x8080EBB: main (fvwm.c:2433)
>   ==10227==    by 0x4042F14E: __libc_start_main (in /lib/libc-2.2.5.so)
>   ==10227==    by 0x804E190: (within /home/luthien/bin/fvwm2)
>   ==10227==    Address 0x414E9066 is 158 bytes inside a block of size 176
>   alloc'd
>   ==10227==    at 0x40026672: malloc (vg_replace_malloc.c:153)
>   ==10227==    by 0x80823AA: BroadcastNewPacket (module_interface.c:1031)
>   ==10227==    by 0x80826BB: BroadcastConfig (module_interface.c:1235)
>   ==10227==    by 0x806ABE4: AddWindow (add_window.c:2364)
>   ==10227==    by 0x8060458: HandleMapRequestKeepRaised (events.c:2339)
>   ==10227==    by 0x806038B: HandleMapRequest (events.c:2280)
>   ==10227==    by 0x8061496: dispatch_event (events.c:3261)
>   ==10227==    by 0x8061515: HandleEvents (events.c:3299)
>   ==10227==    by 0x8080EBB: main (fvwm.c:2433) 
>   ==10227==    by 0x4042F14E: __libc_start_main (in /lib/libc-2.2.5.so)
>   ==10227==    by 0x804E190: (within /home/luthien/bin/fvwm2)
> 
> This is an access to
> 
>   fw->flags.common.s.focus_policy.do_sort_windowlist_by
> 
> (last flag in the focus_policy_t structure).
> 
> --
> 
>   ==10227== Conditional jump or move depends on uninitialised value(s)
>   ==10227==    at 0x80964ED: __update_windowlist (focus.c:179)
>   ==10227==    by 0x8096639: __set_focus_to_fwin (focus.c:277)
>   ==10227==    by 0x809681F: set_focus_to_fwin (focus.c:379)
>   ==10227==    by 0x8097325: _SetFocusWindow (focus.c:924)
>   ==10227==    by 0x805F980: HandleEnterNotify (events.c:1751)
>   ==10227==    by 0x8061496: dispatch_event (events.c:3261)
>   ==10227==    by 0x8061515: HandleEvents (events.c:3299)
>   ==10227==    by 0x8080EBB: main (fvwm.c:2433) 
>   ==10227==    by 0x4042F14E: __libc_start_main (in /lib/libc-2.2.5.so)
>   ==10227==    by 0x804E190: (within /home/luthien/bin/fvwm2)
> 
> Probably same as above.
>

I cannot reproduce these 2. I see nothing wrong at first look.

I get the following when I press the title bar and do not release
it (before clicktime). The error appear just when the move cursor
popup (see config below). I do not if this output make sense.

==8582== Conditional jump or move depends on uninitialised value(s)
==8582==    at 0x80995CF: __execute_function (functions.c:446)
==8582==    by 0x8099D76: __run_complex_function_items (functions.c:799)
==8582==    by 0x809A157: execute_complex_function (functions.c:1080)
==8582==    by 0x8099929: __execute_function (functions.c:621)
==8582==    by 0x809A52E: execute_function (functions.c:1193)
==8582==    by 0x806045B: __handle_bpress_action (events.c:568)
==8582==    by 0x80606AB: __handle_bpress_on_managed (events.c:673)
==8582==    by 0x8060744: HandleButtonPress (events.c:717)
==8582==    by 0x80639B7: dispatch_event (events.c:3261)
==8582==    by 0x8063A6F: HandleEvents (events.c:3299)
==8582==
==8582== Use of uninitialised value of size 4
==8582==    at 0x402D7F78: XFindContext (in /usr/X11R6/lib/libX11.so.6.2)
==8582==    by 0x8099A5C: __execute_function (functions.c:437)
==8582==    by 0x8099D76: __run_complex_function_items (functions.c:799)
==8582==    by 0x809A157: execute_complex_function (functions.c:1080)
==8582==    by 0x8099929: __execute_function (functions.c:621)
==8582==    by 0x809A52E: execute_function (functions.c:1193)
==8582==    by 0x806045B: __handle_bpress_action (events.c:568)
==8582==    by 0x80606AB: __handle_bpress_on_managed (events.c:673)
==8582==    by 0x8060744: HandleButtonPress (events.c:717)
==8582==    by 0x80639B7: dispatch_event (events.c:3261)
==8582==
==8582== Conditional jump or move depends on uninitialised value(s)
==8582==    at 0x402D7F85: XFindContext (in /usr/X11R6/lib/libX11.so.6.2)
==8582==    by 0x8099A5C: __execute_function (functions.c:437)
==8582==    by 0x8099D76: __run_complex_function_items (functions.c:799)
==8582==    by 0x809A157: execute_complex_function (functions.c:1080)
==8582==    by 0x8099929: __execute_function (functions.c:621)
==8582==    by 0x809A52E: execute_function (functions.c:1193)
==8582==    by 0x806045B: __handle_bpress_action (events.c:568)
==8582==    by 0x80606AB: __handle_bpress_on_managed (events.c:673)
==8582==    by 0x8060744: HandleButtonPress (events.c:717)
==8582==    by 0x80639B7: dispatch_event (events.c:3261)

the config is:

DestroyFunc FuncFvwmMoveOrRaiseOrShade
AddToFunc   FuncFvwmMoveOrRaiseOrShade
+ H	Move
+ M	Move
+ C	Raise
+ D	WindowShade

Mouse 1 	TSF	A	FuncFvwmMoveOrRaiseOrShade

Regards, Olivier
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]